Package org.eclipse.lemminx.uriresolver

## Class InvalidURIException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.lemminx.uriresolver.CacheResourceException
        - - org.eclipse.lemminx.uriresolver.InvalidURIException

All Implemented Interfaces:
  `Serializable`

    public class InvalidURIException
    extends CacheResourceException

Invalid URI exception.

Author:
  Fred Bricon
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `InvalidURIException.InvalidURIError`

### Constructor Summary

Constructors
`InvalidURIException​(String resourceURI, InvalidURIException.InvalidURIError errorCode, String... arguments)`
`InvalidURIException​(String resourceURI, InvalidURIException.InvalidURIError errorCode, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InvalidURIException.InvalidURIError` `getErrorCode()`

### Methods inherited from class org.eclipse.lemminx.uriresolver.CacheResourceException

`getResourceURI, isDTD`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidURIException

    public InvalidURIException​(String resourceURI,
                               InvalidURIException.InvalidURIError errorCode,
                               Throwable cause)

#### InvalidURIException

    public InvalidURIException​(String resourceURI,
                               InvalidURIException.InvalidURIError errorCode,
                               String... arguments)

### Method Detail

#### getErrorCode

    public InvalidURIException.InvalidURIError getErrorCode()